# Get business activities

Retrieve a list of business activities and their identifiers from our system to use them while creating a KYB applicant (a company)

Endpoint: GET /business-activities
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `business_category_id` (string)
    A business category identifier for business activities, that may help to faster find a necessary business activity. A business category contains one or several business activities
    Example: da0ebf0ade0bfad0ebf0adeb0fade0bfad0e

  - `labels` (array)

  - `labels.label` (string)
    A name of a business category
    Example: Financial and insurance activities

  - `labels.language_code` (string)
    A language code of a label (name) of a business category. `EN` is for English, `RU` is for Russian, `UK` is for Ukrainian
    Enum: "EN", "RU", "UK"

  - `activities` (array)

  - `activities.business_activity_id` (string)
    A business activity identifier of a an object. The full list of business activities and their identifiers is accessible in “Business activities” section
    Example: da0ebf0ade0bfad0ebf0adeb0fade0bfad0e

  - `activities.labels` (array)

  - `activities.labels.label` (string)
    A name of a business activity
    Example: Central banking

  - `activities.labels.language_code` (string)
    A language code of a label (name) of a business activity. `EN` is for English, `RU` is for Russian, `UK` is for Ukrainian
    Enum: "EN", "RU", "UK"

## Response 400:

  - `400` (unknown)
    **Bad Request**
Our system could not process the request due to invalid syntax, missing parameters, or incorrect data format. Check the request structure and try again.

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402:

  - `402` (unknown)
    **Payment Required**
Access to the requested resource is restricted until a payment is successfully processed. Ensure your account has a valid payment method or sufficient funds to complete this action.

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 429:

  - `429` (unknown)
    **Too Many Requests**
This response indicates that a user has sent too many requests in a given amount of time.

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500:

  - `500` (unknown)
    **Internal Server Error**
This response indicates that our system encountered an unexpected condition that prevented it from fulfilling the request.

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

## Response 502:

  - `502` (unknown)
    **Bad Gateway**
This response indicates that our system is unable to reach or communicate properly with an upstream server it relies on, the URL provided is incorrect, or a required token is missing from the request.

